version: 0.0
os: linux
files:
  - source: /
    destination: /var/www/html/convertingoffers
file_exists_behavior: OVERWRITE
hooks:
  BeforeInstall:
    - location: scripts/dummy.sh
      timeout: 5
  AfterInstall:
    - location: scripts/build.sh
      timeout: 180
      runas: ubuntu
  ApplicationStart:
    - location: scripts/change_permission.sh
      timeout: 60
  ValidateService:
    - location: scripts/dummy.sh
      timeout: 5

